V3 Manage Enhanced Conditions

Add, update, or remove enhanced conditions on a specified loan. Provided conditions must adhere to the EnhancedConditionContract and should include values appropriate to the lender’s configuration.

Usage Notes

  • The add parameter can be used to add Condition Sets, Condition Templates List, or adhoc enhanced conditions to the loan.
  • When duplicating an enhanced condition, action=duplicate, keep the following points in mind:
    • The allowDuplicate flag must be enabled for the ConditionTemplate associated with the Title and Type.
    • The conditionID must be provided in the payload.
    • Everything from the enhanced condition is copied except for trackingEntries, comments and assignedTo.
  • To add a condition using a configured template, you can provide the template "title" and the "conditionType" in the payload, and if the conditionType and title match, then the condition template gets applied. Select Examples in the Curl Request window to view an example.
  • At the loan-level, the 'title' attribute is Retrieve-Only and cannot be edited.
Path Params
string
required

Unique identifier of the loan.

Query Params
string

The unique identifier of the loan lock that has been obtained by the user.

string

Possible values are: Add, Update, Duplicate, and Remove.

string

Possible values are:
- Summary - Returns a summary of the enhanced condition.
- Detail - Returns summary, tracking, and definitions.
- Full - Returns summary, tracking, definitions, and comments.

Body Params
string

Unique identifier of the condition, which is guaranteed to be unique. For example:
"3AA5BF62-3C0D-46A7-8ADE-03907BE0A5E5"
When you specify a condition in a call, you provide the condition ID. The condition ID can be retrieved from the response header when the condition is created.

string

Read-only. Identifies the type of condition. For example, Preliminary, Underwriting, Post-Closing, etc. The value is obtained from the Enhanced Condition template.

string

Title or name of the condition. For example, "Income - Personal Tax Returns".
NOTE: At the loan-level, this attribute is Retrieve-Only and cannot be edited.

string

The internal identifier of the condition that will be displayed to Encompass Web users. Alphanumeric, no special characters. For example, "INC0001".

string

The internal description of the condition that will be displayed to Encompass Web users. For example, "Collect signed and dated returns with all pages and schedules".

string

The external identifier of the condition that will be displayed to TPO Users. Should be alphanumeric, no special characters to be allowed.

string

The external description of the condition that will be displayed to TPO users. For example, "Provide signed and dated tax returns with all pages and schedules."

string

RetrieveOnly. The date the condition was last printed for external or TPO users. For example, 2019-11-24T04:14:30Z.

printDefinitions
array of strings

List of print definition identifiers associated with the condition, used to control how the condition appears on printed documents.

printDefinitions
string

RetrieveOnly. The date the condition was published. For example, 2019-11-24T04:14:30Z.

string

Identifies the source system that created the condition. For example, "Fannie Mae".

application
object

Identifies the borrower pair associated with this condition. See the ApplicationReferenceContract.

string

Identifies the category associated with the condition. Values are defined within Encompass settings and can vary between lenders and investors.
Some example values are:

Assets

Credit

Income

Legal

Misc

Property

string

Identifies when the condition is required to be cleared or waived. Values are defined within Encompass settings and can vary between lenders and investors. Example values are:

Approval

Docs

Funding

Closing

*Purchase

string

Recipient of the condition. For example, "MERS".
Values are defined within Encompass settings and can vary between lenders and investors.

string

Identifies the date the condition takes effect. For example, 2019-11-24T04:14:30Z

string

Identifies the date that the condition is no longer required. For example, 2019-12-24T04:14:30Z

string

Identifies the person or entity that the condition is requested from. For example, "Borrower".

integer

Number of days the condition is expected to be received.

string

RetrieveOnly. Name of the current status type of the condition. For example, "Requested".

string

RetrieveOnly. Date and time that the current status was applied (should be stored in GMT timezone). For example, 2019-11-24T04:14:30Z.

boolean

RetrieveOnly. Indicates whether the condition is open or satisfied based on the definition. Read-only.

integer

RetrieveOnly. Number of days the condition has been open, calculated from the ageStartDate to the current date or ageClosedDate.

string

RetrieveOnly. The date used as the starting point for calculating the condition's age. For example, 2019-11-24T04:14:30Z.

string

RetrieveOnly. The date the condition was closed or cleared, used as the end point for calculating the condition's age. For example, 2019-12-24T04:14:30Z.

assignedTo
array of objects

List of documents that the condition is assigned to.

assignedTo
string

The date the document associated with the condition was received. For example, 2019-11-24T04:14:30Z.

owner
object

The entity reference describing the user or role responsible for managing and clearing the condition.

string

RetrieveOnly. Identifies the partner or third-party entity associated with the condition. Values are defined within Encompass settings.

createdBy
object

The Entity Reference contract describing the user or role who created the condition or document.

string

Date and time the condition was created. For example, 2019-11-24T04:14:30Z

lastModifiedBy
object

RetrieveOnly. Information about the last modification made to the condition.

string

RetrieveOnly. Date and time the condition was last modified. For example, 2019-11-24T04:14:30Z

boolean

Indicates whether the condition has been removed from the loan.

tracking
array of objects

Tracking Event contract.

tracking
comments
array of objects

Log Comment contract.

comments
string

RetrieveOnly. Total number of comments for the condition.

definitions
object

The Enhanced Condition Definition contract.

string

The source of condition is populated at the time when the enhanced condition is added. The following are available values:

  • User
  • Manual
  • ConditionList
  • AutomatedByUser
  • FHA
  • DUFindings
  • EarlyCheckFindings
  • LPAFindings
  • FHA Findings
  • LCLAFindings
  • Duplicate
  • InvestorDelivery (Service-to-Service only)
  • AutomatedByRule (Service-to-Service only)
  • PartnerConnect (Service-to-Service only)Duplicate: Duplicate is always set internally when Condition is created with action=duplicateThis is a readOnly attribute for users of Encompass Developer Connect.
verifications
array of objects

Array of objects containing verification information as described in the VerificationReferenceContract.

WARNING: This attribute is currently in beta mode and is not ready for production use.

verifications
borrowers
array of objects

Array of objects containing borrower information as described in the EntityReferenceContract.

WARNING: This attribute is currently in beta mode and is not ready for production use.

borrowers
Headers
string
required

Bearer token

Responses

204

No Content

400

Bad Request

401

Unauthorized

403

Forbidden

404

Not Found

500

Internal Server Error

Language
URL
LoadingLoading…
Response
Choose an example:
application/json